:root {
    --clr-primary: #7743db;
    --clr-dark-purple: #35155d;
    --clr-light-purple: #c3acd0;
    --clr-cream: #f7efe5;
    --clr-light-cream: #fffbf5;
    --clr-light-gray: #f0efef;
    --clr-mid-gray: #ccc;
    --clr-dark-gray: #777;
    --clr-dar-blue: #252f4a;
    --clr-white: #ffff;
    --clr-text-gray: #8094ae;
}

/* * {
    border: 1px solid red;
} */
body {
    background-color: #fcfcfc;
}

.m-0 {
    margin: 0 !important;
}

.p-0 {
    padding: 0 !important;
}

.px-0 {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.pb-0 {
    padding-bottom: 0 !important;
}

.mt-2 {
    margin-top: 8px;
}

.mt-5 {
    margin-top: 20px !important;
}

.mt-3 {
    margin-top: 12px;
}

.mt-4 {
    margin-top: 16px;
}

.mt-10 {
    margin-top: 40px !important;
}

.m-0 {
    margin: 0;
}

.mb-0 {
    margin-bottom: 0 !important;
}

.mb-2 {
    margin-bottom: 8px !important;
}

.mb-3 {
    margin-bottom: 12px;
}

.mb-4 {
    margin-bottom: 16px;
}

.mb-15 {
    margin-bottom: 15px;
}

.py-2 {
    padding: 8px 0;
}

.pt-0 {
    padding-top: 0 !important;
}

.py-3 {
    padding-top: 12px !important;
    padding-bottom: 12px !important;
}

.py-4 {
    padding: 16px 0;
}

.px-2 {
    padding: 8px !important;
}

.min-w-150 {
    min-width: 150px;
}

.mb-1_25 {
    margin-bottom: 1.25rem !important;
}

.fs-15 {
    font-size: 15px !important;
}

.fs-14 {
    font-size: 14px !important;
}

.fs-13 {
    font-size: 13px !important;
}

.fs-12 {
    font-size: 12px !important;
}

.fw-600 {
    font-weight: 600;
}

.fw-500 {
    font-weight: 500;
}

.flex-grow-1 {
    flex-grow: 1 !important;
}

.flex-no-wrap {
    flex-wrap: nowrap !important;
}

.flex-wrap {
    flex-wrap: wrap !important;
}

.text-muted {
    color: #999;
}

.text-nowrap {
    text-wrap: nowrap !important;
}

.shrink-0 {
    flex-shrink: 0 !important;
}

.d-flex {
    display: flex;
}

.d-block {
    display: block;
}

.justify-content-between {
    justify-content: space-between;
}

.justify-content-center {
    justify-content: center !important;
}

.align-items-center {
    align-items: center;
}

.gap-1 {
    gap: 4px;
}

.gap-2 {
    gap: 8px;
}

.gap-3 {
    gap: 12px;
}

.flex-column {
    flex-direction: column;
}

.navbar {
    padding: 10px;
    background-color: #fcfcfc;
    margin-bottom: 10px;
}

.text-secondary {
    color: #99a1b7;
}

/**********************************************
start header
**********************************************/
.navbar-inverse,
.navbar-inverse .navbar-nav > li > a {
    color: var(--clr-dark-purple) !important;
}

.navigation > li.active > a,
.navigation > li.active > a:focus,
.navigation > li.active > a:hover {
    color: #9a9cae !important;
}

.navigation > li ul li a {
    color: #9a9cae !important;
    font-weight: 500;
}

.navigation li a {
    font-weight: 500;
}

.navbar-nav > .dropdown-user img {
    border-radius: 8px !important;
    width: 20px;
    aspect-ratio: 1;
}

.user-info {
    padding: 13px 20px !important;
    border-bottom: 1px solid #ddd;
}

.user-info .full-name {
    font-weight: 600;
    color: #071437;
}

.user-info .role {
    font-weight: 500;
    color: #99a1b7;
}

.page-header-content {
    border-radius: 8px !important;
    background-color: var(--clr-white);
    /* margin-bottom: 20px; */
    border: unset;
}

.page-header-content .page-title {
    padding: 10px 0;
}

.breadcrumb-line {
    border-radius: 8px !important;
    border: 0 !important;
}

.nav > li > a {
    display: flex;
    align-items: center;
    gap: 10px;
}

.header-profile {
    width: 275px;
    box-shadow: 0px 0px 50px 0px rgba(82, 63, 105, 0.15);
    border: 0;
    border-radius: 0.475rem;
}

.nav > li > a:hover,
.nav > li > a:focus,
.nav > li > a:active,
.navbar-inverse .navbar-nav > .open > a {
    background-color: unset !important;
}

.header-profile li {
    margin-top: 5px;
}

.header-profile li {
    padding: 5px 10px;
}

.header-profile li a:hover {
    background-color: #f9f9f9;
    color: #1b84ff;
    border-radius: 5px;
}

.header-profile li:first-child {
    margin: 0;
}

.page-header {
    margin-top: 0;
    background-color: transparent;
    border: 0px !important;
}

/*************************************************
       sidebar content
**************************************************/
.sidebar {
    margin-right: 10px;
}

.sidebar .navigation li {
    padding: 0 20px;
}

.sidebar .navigation li a {
    border-bottom: 1px solid #696a7063;
}

.sidebar-user .category-content .media {
    display: flex;
    gap: 20px;
}

.sidebar-user .category-content .media img {
    max-width: 36px;
}

.sidebar .navigation {
    /* height: calc(100vh - 270.03px) !important; */
    height: calc(100vh - 210.03px) !important;
    overflow-y: auto;
}

.sidebar {
    background-color: #2a2e5b;
    border-radius: 16px;
    margin-top: 0;
    width: 300px !important;
}

.navigation > li > a,
.sidebar-user {
    color: #f5f5f5 !important;
}

.panel-flat > .panel-heading {
    border-radius: 8px 8px 0 0;
    padding-top: 0;
    padding-bottom: 0;
}

.page-content {
    /* display: flex; */
    gap: 20px;
    border-radius: 16px !important;
    height: 100%;
}

::-webkit-scrollbar {
    width: 8px;
    /* width of the scrollbar */
    border-radius: 5px;
}

/* The draggable part of the scrollbar */
::-webkit-scrollbar-thumb {
    background-color: #bdbdbd;
    border-radius: 0px;
    border: 2px solid #f1f1f1;
    /* Add padding around scrollbar thumb */
    border-radius: 5px;
}

/* The track (progress bar) of the scrollbar */
::-webkit-scrollbar-track {
    background-color: #f1f1f1;
    border-radius: 0;
    border-radius: 5px;
}

.mobile-hamburger {
    display: none;
    position: absolute;
    left: 19px;
    top: 26px;
}

.mobile-hamburger a {
    color: #fff;
}

.sidebar-user {
    padding: 0 0 20px 0;
    background-image: linear-gradient(45deg, #1d224c 40%, #4a539b66 60%);
    border-radius: 20px 20px 0 0;
}

.sidebar-user .category-content {
    border-radius: 15px;
    padding-top: 20px;
}

@media (max-width: 992px) {
    .sidebar .navigation {
        height: calc(100dvh - 150px) !important;
    }

    .sidebar {
        margin-right: 0;
        position: fixed;
        z-index: 200000;
        top: 0;
        right: 0;
        border-radius: 0;
        height: 100lvh;
        min-height: -webkit-fill-available;
        box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    }

    .sidebar-user .category-content {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .sidebar-control {
        color: var(--clr-dark-purple);
    }

    .mobile-hamburger {
        display: block;
    }
}

.content-wrapper {
    padding-bottom: 0;
}

.content-wrapper .content {
    background-color: var(--clr-white);
    overflow-y: auto;
    /* height: calc(100vh - 182px) !important; */
    border-radius: 8px;
}
.navbar.navbar-inverse {
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 200;
}
.sidebar-content {
    position: sticky;
    top: 0;
}
.footer-text {
    position: fixed;
    background-color: rgb(255, 255, 255);
    bottom: 0;
    left: 0;
    z-index: 20000;
}
@media (max-width: 992px) {
    .footer-text {
        width: 100% !important;
    }
}
.panel.panel-flat {
    border: 0;
}
.content {
    margin-bottom: 70px;
}
.auth-footer > div {
    width: 100% !important;
}
/* .panel.panel-flat {
    height: 100%;
} */

/***************************************************
dashboard
**************************************************/
.dashboard-boxes {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

.dashboard-boxes .box {
    display: flex;
    width: 180px;
    aspect-ratio: 1.4;
    height: unset !important;
    align-items: center;
    justify-content: center;
    text-wrap: nowrap;
}

.dashboard-boxes .box a {
    display: block;
    width: 100%;
    height: 100%;
}

.dashboard-boxes .box a button {
    background-color: var(--clr-light-gray);
    color: var(--clr-dar-blue);
}

.dashboard-boxes .box a button i {
    transition: 0.4s ease;
}

.dashboard-boxes .box a button:hover i {
    transform: scale(1.2);
}

/**************************************************
breadcrumbs
**************************************************/
.breadcrumb > .active {
    color: var(--clr-light-purple);
}

.breadcrumb > li + li:before {
    content: "_";
    color: var(--clr-dark-purple);
    font-size: 2rem;
}

/*****************************************************
change password page
*****************************************************/
.change-password-area .alert-message.alert[class*="alert-styled-"].alert-danger:after {
    display: none;
}

.change-password-area .alert-message.alert-danger {
    border: 1px solid #ff5722;
    border-radius: 12px;
}

.change-password-area .alert-message img {
    max-width: 20px;
}

.navbar-header {
    margin-right: unset !important;
}

.navigation > li ul li a:hover {
    background-color: #18191fe5;
}

.navigation > li > a,
.sidebar-user {
    color: #9a9cae !important;
}

.navigation > li.active a {
    color: #fff !important;
}

.navigation > li.active:hover {
    background-color: transparent;
}

.navigation > li.active:hover {
    background-color: transparent !important;
    color: var(--clr-white) !important;
}

.navigation > li:hover {
    background-color: #6352c2 !important;
    color: var(--clr-white) !important;
}

.navigation > li ul {
    list-style: none;
    padding-right: 0;
    background-color: #6352c242 !important;
}

.navigation > li ul > li:hover {
    background-color: #313660 !important;
}

.navigation > li ul li a {
    padding: 10px;
}

.navigation > li ul li a:hover {
    background-color: transparent;
}

/******************************************************
auth area start
******************************************************/
.auth-page-area {
    min-height: 100vh !important;
}

.auth-page-area .logo {
    max-width: 75px;
}

.auth-title-container {
    margin-bottom: 5rem !important;
}

.auth-page-area .content-wrapper {
    background-image: url("../images/auth/auth-bg.jpg");
    background-position: 0 top;
}

.auth-page-area form {
    max-width: 500px;
    margin: auto;
}

.auth-page-area .content-wrapper .content {
    background-color: unset;
}

.auth-title-container h1 {
    margin-bottom: 6.5px;
}

.auth-title-container .description {
    font-weight: 500;
    color: #b5b5c3;
}

.auth-page-area input {
    padding: 13px 26px;
    min-height: 47.5px;
    background-color: #f3f6f9;
    color: #3f4254;
    border-radius: 0.42rem;
    border: 0;
}

.auth-page-area input:focus {
    background-color: #ebedf3;
    color: #3f4254;
}

.auth-page-area .validation-error-label {
    height: 20px !important;
}

.auth-page-area .auth-btn {
    min-height: 19.5px;
    display: block;
    color: #333;
    background-color: #ffdc00;
    padding: 1rem;
    min-width: 100px;
    border-radius: 0.42rem;
    margin: 10px auto;
    font-size: 1.3rem !important;
}

.auth-page-area .validation-error-label:before,
.validation-valid-label:before {
    display: none;
}

.remember-container {
    display: flex;
    align-items: center;
    gap: 10px;
    padding-right: 0;
}

.remember-container input {
    position: unset !important;
    height: unset;
    width: 17px;
    margin: unset !important;
}

.custom-checkbox input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.custom-checkbox .checkmark {
    position: relative;
    height: 20px;
    width: 20px;
    background-color: white;
    display: inline-block;
    border-radius: 6px;
    background-color: #ebedf3;
    top: 5px;
}

.custom-checkbox input[type="checkbox"]:checked + .checkmark {
    background-color: #ffdc00;
}

.custom-checkbox input[type="checkbox"]:checked + .checkmark::after {
    content: "";
    position: absolute;
    left: 7px;
    top: 3px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
}

input[type="checkbox"] {
    min-width: unset;
    min-height: unset;
}

.auth-page-area a:hover {
    color: #ffdc00;
}

.auth-area {
    padding: 20px 30px;
    margin: auto;
    border-radius: 12px;
    max-width: 572.39px;
    width: 100%;
}

.navbar + .auth-page-area.login-container {
    height: calc(100% - 113px);
}

.auth-btn.btn-back {
    background-color: #999;
    color: #fff;
}

.auth-btn.btn-back:hover {
    background-color: #ffdc00;
    color: #333;
}

.login-select-button {
    font-size: 1.3rem !important;
}

.text-gray-dark {
    color: #333 !important;
}

.border-0 {
    border: 0;
}

.panel.panel-flat {
    box-shadow: unset;
}

.page-header {
    margin-bottom: 0 !important;
}

.page-container {
    height: calc(100% - 80px);
    min-height: unset !important;
}

.py-0 {
    padding-top: 0;
    padding-bottom: 0;
}

.mb-0 {
    margin-bottom: 0;
}

.table > tbody > tr > td {
    padding: 5px 16px !important;
}

/* * {
    border: 1px solid red;
} */
.table {
    text-wrap: nowrap;
}

.text-wrap {
    text-wrap: wrap;
}

.table select {
    min-width: 150px;
}

/***********************************************************

                            Pagination

*************************************************************/
.pagination {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
}

.pagination li {
    padding: 9px 10px;
    color: #526484;
    font-weight: 600;
    border: 1px solid #eaeaea !important;
    padding: 0;
}

.pagination li a {
    border: unset;
}

.pagination li:first-child {
    border-radius: 0 6px 6px 0;
}

.pagination li:last-child {
    border-radius: 6px 0 0 6px;
}

.pagination > .active > a,
.pagination > .active > a:hover {
    color: #854fff !important;
    background-color: #ebeef2 !important;
    border: unset !important;
}

/*****************************************************

                          End Pagination style

******************************************************/
.table thead {
    background-color: unset;
}

.table-header-info {
    border: 1px solid #363c74;
    color: #8094ae !important;
    border-bottom: 0 !important;
    border-radius: 6px 6px 0 0;
}

.table-header-info a:hover {
    background-color: #fff !important;
    color: #363c74;
}

.table-header-info a,
.table-header-info .btn {
    background-color: #363c74 !important;
    color: #ffffff;
    border: 1px solid #363c74;
}

.table {
    border-radius: 5px;
}

.table tr td {
    border-right: unset !important;
    border-left: unset !important;
}

.text-mid-gray {
    color: var(--clr-dark-gray) !important;
}

.text-gray {
    color: var(--clr-dark-gray) !important;
}

thead th {
    border: unset !important;
}

.table .badge {
    padding: 6px 10px;
    border-radius: 6px;
}

.table-bordered tr:first-child > td,
.table-bordered tr:first-child > th,
.table {
    border: 0 !important;
}

.table-bordered tr:first-child {
    border-bottom: 1px solid #eaeaea;
}

.table-bordered > tbody > tr:last-child > td {
    border: unset !important;
}

.table .badge-container .label {
    padding: 3px !important;
    border-radius: 4px;
    font-size: 10px !important;
}

.text-main-color {
    color: var(--clr-primary) !important;
}

.label-success-new {
    color: #4caf50 !important;
    background-color: var(--clr-white) !important;
    border: unset !important;
    font-weight: 500 !important;
    font-size: 13px !important;
}

.label-important-new {
    color: #fe1010 !important;
    background-color: #fff !important;
    border: unset !important;
    font-weight: 500 !important;
    font-size: 13px !important;
}

.label-warning-new {
    color: #ff9800 !important;
    background-color: var(--clr-white) !important;
    border: unset !important;
    font-weight: 500 !important;
    font-size: 13px !important;
}

.label-info-new {
    color: #2196f3 !important;
    background-color: var(--clr-white) !important;
    border: unset !important;
    font-weight: 500 !important;
    font-size: 13px !important;
}


.table .label {
    font-size: 11px !important;
}

.btn-group-justified {
    display: unset !important;
    table-layout: unset !important;
}

.w-100 {
    width: 100% !important;
}

.mw-200 {
    max-width: 200px !important;
}

.minw-120 {
    min-width: 120px !important;
}

.border-top {
    border-top: 0 !important;
}

.thead-top td {
    padding: 10px 0 !important;
}

.thead-top {
    background-color: #363c74;
}

.thead-top td a,
.thead-top td .btn {
    color: #fff;
    padding: 12px;
    display: block;
    width: 100%;
    border-radius: 0;
}

.thead-top td:first-child {
    border-radius: 0 10px 0 0;
}

.thead-top td:first-child a {
    border: 0 !important;
}

.thead-top td:last-child {
    border-radius: 10px 0 0 0 !important;
}

.panel-title {
    margin-bottom: 1rem;
}

.table-responsive {
    border: unset !important;
}

.table-responsive tbody {
    border: 1px solid #ddd;
    border-radius: 0 0 10px 10px !important;
}

.table-responsive .table thead tr {
    border: 1px solid #ddd;
    border-bottom: 0 !important;
    border-top: 0 !important;
}

.thead-top {
    border-right: 0 !important;
    border-left: 0 !important;
}

.btn-operation {
    background-color: #363c74;
    color: #fff;
    border-radius: 6px;
    display: flex;
    gap: 5px;
    align-items: center;
    justify-content: space-between;
    min-width: 80px;
}

.btn-cancel {
    border-radius: 6px;
    opacity: 0.9;
    border: 1px solid #f5554a00 !important;
}

.btn-sub {
    border-radius: 6px !important;
    border: 1px solid #363c74 !important;
}

.btn-cancel:hover {
    opacity: 1;
}

.btn-primary {
    background-color: #363c74;
    color: #fff;
    border: 0;
    border-radius: 6px;
}

.btn-primary:hover {
    background-color: #202550;
    color: #fff;
}

.table .label {
    min-width: 50px;
}

.justify-content-end {
    justify-content: flex-end !important;
}

.btn-primary:active,
.btn-primary:active:focus {
    background-color: #363c74 !important;
}

.btn-sort {
    background-color: #363c74;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    border-radius: 6px;
}

.btn-success, .btn-info, .btn-danger {
    border-radius: 6px;
}

.table .tooltip-inner {
    max-width: 180px;
}

.text-gray {
    color: rgb(173, 173, 173);
}

.btn-operation i {
    font-size: 12px;
    color: #fff !important;
}

.dropdown-menu.dropdown-menu-right {
    max-height: 280px;
    overflow-y: auto;
}

/************************************************

                      accordion style

*************************************************/

.accordion .accordion-header legend {
    border: 0;
    margin-bottom: 0;
}

.accordion .accordion-header {
    background-color: hsl(0, 0%, 92%);
    color: #000;
    border-radius: 6px;
    padding: 6px 10px;
    margin-bottom: 5px;
    font-weight: 600;
}

.accordion .accordion-header,
.accordion .accordion-header i {
    color: #000;
}

.accordion .accordion-header-active {
    background-color: #363c74 !important;
    color: #fff !important;
    border-radius: 6px;
    padding: 6px 10px;
    margin-bottom: 20px;
}

.accordion .accordion-header-active span,
.accordion .accordion-header-active i {
    color: var(--clr-white) !important;
}

.accordion-content.collapse.in {
    margin-bottom: 16px;
}

.table-responsive > .table > thead > tr:last-child > td {
    white-space: wrap;
}

.table-responsive > .table > thead > tr:last-child > td select,
.table-responsive > .table > thead > tr:last-child > td .select2,
.table-responsive > .table > thead > tr:last-child > td input[type="text"] {
    margin-bottom: 6px;
}

.table-responsive > .table > thead > tr:last-child > td .datemask {
    min-width: 110px;
}

@media (max-width: 768px) {
    .content-wrapper .content {
        border-radius: unset;
    }
}

.footer-text {
    font-size: 15px !important;
}

.fancybox-lock .fancybox-overlay {
    overflow-y: hidden;
}

.fancybox-desktop {
    max-width: 480px;
    width: unset !important;
}

.fancybox-desktop .fancybox-inner {
    width: 100% !important;
}

.fancybox-desktop .fancybox-inner,
.fancybox-image {
    max-height: 500px;
    aspect-ratio: 16/9 !important;
    object-fit: cover;
}

.fancybox-close {
    left: -12px;
}

.fancybox-image {
    object-fit: cover;
}

.sidebar .navigation li.current {
    background-color: #313660 !important;
}

.tooltip {
    position: fixed;
}

.dropdown-menu > .active > a {
    background-color: #363c74 !important;
}

.bg-custom-primary {
    background-color: #363c74;
}

div:where(.swal2-container) {
    z-index: 1095 !important;
}

@media (max-width: 768px) {
    .sidebar-main-toggle.desktop-toggle {
        display: none;
    }

    .header-profile {
        left: auto !important;
        right: 10px !important;
    }
}

.btn-primary:focus {
    background-color: #202550;
}

.confirm-button-class,
.cancel-button-class {
    border-radius: 6px !important;
}

@media (max-width: 768px) {
    .nav-tabs > li.active > a {
        border: 0;
    }
}

.select-td-container {
    position: relative;
}

.select2-container .select2-selection--single {
    height: 36px !important;
}

table .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 36px;
}

table .select2-container--default[dir="rtl"] .select2-selection--single .select2-selection__arrow {
    left: -5px;
}

.swal2-styled:focus {
    outline: none !important;
    box-shadow: none !important;
}

.swal2-cancel,
.swal2-confirm {
    border: none !important;
    box-shadow: none !important;
}
.content {
    min-height: 760px;
}
.online-table tr th:first-child {
    border-radius: 0 10px 0 0;
}
.online-table tr th:last-child {
    border-radius: 10px 0 0 0;
}
.auth-footer {
    position: absolute !important;
    bottom: 0;
    transform: translate(-50%);
    left: 50%;
    width: 90%;
}

table .select2-container {
    max-width: 600px;
}

@media (max-width: 768px) {
    table .select2-container {
        max-width: 500px;
    }
}
@media (max-width: 575px) {
    table .select2-container {
        max-width: 350px;
    }
}

.table-responsive {
    min-height: 70vh;
}

@media (max-width: 575px) {
    .content {
        min-height: unset;
    }
}
.auth-content {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.auth-content form {
    width: 100%;
}
.auth-content .w-100 {
    width: 100% !important;
}
.page-container {
    min-height: unset !important;
    height: unset !important;
    padding-top: 80px;
}
.navbar.navbar-inverse {
    position: fixed;
    width: 100%;
}
.sidebar .navigation {
    height: calc(100dvh - 115.03px) !important;
}
@media (max-width: 768px) {
    .breadcrumb-line {
        z-index: 20;
    }
}

@media (max-width: 768px) {
    .badge-bell #notifBadge {
        position: absolute;
        right: 0;
        left: unset;
    }
}

table .select2-container--above + span {
    top: 35px !important;
}
table .select2-dropdown--above {
    border-bottom: 1px solid #ddd !important;
}

.table-responsive .btn-group.open .btn-operation .icon-arrow-left22 {
    transform: rotate(270deg);
}
@media (max-width: 768px) {
    .content-wrapper .content {
        padding-bottom: 71px;
    }
}
.divider.second-divider {
    display: none !important;
}
.datepicker-container.pwt-mobile-view .datepicker-plot-area.datepicker-state-only-time .datepicker-time-view input {
    width: 100%;
}
